## cbonsai 1.2.1

=== Makefile ===
.POSIX:
CC	= cc
PKG_CONFIG	?= pkg-config
CFLAGS	+= -Wall -Wextra -Wshadow -Wpointer-arith -Wcast-qual -pedantic $(shell $(PKG_CONFIG) --cflags ncursesw panelw)
LDLIBS	= $(shell $(PKG_CONFIG) --libs ncursesw panelw || echo "-lncursesw -ltinfo -lpanelw")
PREFIX	= /usr/local

cbonsai: cbonsai.c

install: cbonsai
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -m 0755 cbonsai $(DESTDIR)$(PREFIX)/bin/cbonsai

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/cbonsai

clean:
	rm -f cbonsai

.PHONY: install uninstall clean

## cbonsai 0.0~git20210208.41fdd6e

=== debian/changelog ===
cbonsai (0.0~git20210208.41fdd6e-1) unstable; urgency=medium

  * Initial release (Closes: #981965)

 -- Robin Gustafsson <robin@rgson.se>  Mon, 08 Feb 2021 16:44:14 +0100

=== debian/control ===
Source: cbonsai
Section: games
Priority: optional
Maintainer: Robin Gustafsson <robin@rgson.se>
Build-Depends:
 debhelper-compat (= 13),
 help2man,
 libncurses-dev,
 pkg-config,
Standards-Version: 4.5.1
Homepage: https://gitlab.com/jallbrit/cbonsai
Vcs-Browser: https://salsa.debian.org/rgson/cbonsai
Vcs-Git: https://salsa.debian.org/rgson/cbonsai.git -b debian/latest
Rules-Requires-Root: no

Package: cbonsai
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: terminal-based bonsai tree generator
 cbonsai is a bonsai tree generator using ncurses. It intelligently creates,
 colors, and positions a bonsai tree, and is entirely configurable via CLI
 options.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)"

execute_after_dh_auto_build:
	help2man --no-info --name 'random bonsai tree generator' \
		--version-string $(shell dpkg-parsechangelog -S version) \
		--section 6 --output cbonsai.6 ./cbonsai

override_dh_auto_install:

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, gitexport=all, pgpmode=none, \
   repacksuffix=+dfsg, dversionmangle=s/@DEB_EXT@//" \
   https://gitlab.com/jallbrit/cbonsai.git \
   HEAD debian uupdate

## cbonsai 1.2.1

=== debian/changelog ===
cbonsai (1.2.1-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #984908)

  [ Robin Gustafsson ]
  * Track upstream's versioned releases
  * New upstream version 1.2.1
  * Remove obsolete patches
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Robin Gustafsson <robin@rgson.se>  Mon, 28 Jun 2021 19:42:19 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  debhelper-compat (= 13),
  help2man,
  libncurses-dev,
+ libncurses-dev:native,
  pkg-config,
 Standards-Version: 4.5.1
 Homepage: https://gitlab.com/jallbrit/cbonsai

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic

%:
	dh $@

override_dh_auto_build:
	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_build -- CFLAGS="$(CFLAGS)"

execute_after_dh_auto_build:
	help2man --no-info --name 'random bonsai tree generator' \
		--version-string $(shell dpkg-parsechangelog -S version) \
		--section 6 --output cbonsai.6 ./cbonsai
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	dh_auto_clean
	dh_auto_build -- CFLAGS="$(CFLAGS)"
endif

override_dh_auto_install:

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, gitexport=all, pgpmode=none, \
   repacksuffix=+dfsg, dversionmangle=s/@DEB_EXT@//" \
   https://gitlab.com/jallbrit/cbonsai.git \
   refs/tags/v?([\d\.]+) debian uupdate

## cbonsai 1.3.1

=== Makefile ===
.POSIX:
CC	= cc
PKG_CONFIG	?= pkg-config
CFLAGS	+= -Wall -Wextra -Wshadow -Wpointer-arith -Wcast-qual -pedantic $(shell $(PKG_CONFIG) --cflags ncursesw panelw)
LDLIBS	= $(shell $(PKG_CONFIG) --libs ncursesw panelw || echo "-lncursesw -ltinfo -lpanelw")
PREFIX	= /usr/local
MANDIR	= $(PREFIX)/share/man

cbonsai: cbonsai.c

cbonsai.1: cbonsai.scd
	scdoc <$< >$@

install: cbonsai cbonsai.1
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(MANDIR)/man1
	install -m 0755 cbonsai $(DESTDIR)$(PREFIX)/bin/cbonsai
	install -m 0644 cbonsai.1 $(DESTDIR)$(MANDIR)/man1/cbonsai.1

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/cbonsai
	rm -f $(DESTDIR)$(MANDIR)/man1/cbonsai.1

clean:
	rm -f cbonsai
	rm -f cbonsai.1

.PHONY: install uninstall clean

=== debian/changelog ===
cbonsai (1.3.1-1) unstable; urgency=medium

  [ Matthias Geiger ]
  * New upstream version 1.3.1
  * Added myself to Uploaders
  * Imported upstream patch for manpage section
  * Switched to scdoc in d/control for generating the manpage
  * Updated year in d/copyright

  [ Debian Janitor ]
  * Set upstream metadata fields
  * Update standards version to 4.6.1, no changes needed.

  [ Robin Gustafsson ]
  * Restore debian/manpages
  * Remove rebuild in cross-arch builds
  * Build manpage with upstream's Makefile
  * Wrap-and-sort control files

 -- Robin Gustafsson <robin@rgson.se>  Sat, 19 Nov 2022 18:43:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: games
 Priority: optional
 Maintainer: Robin Gustafsson <robin@rgson.se>
+Uploaders:
+ Matthias Geiger <matthias.geiger1024@tutanota.de>,
 Build-Depends:
  debhelper-compat (= 13),
- help2man,
  libncurses-dev,
- libncurses-dev:native,
  pkg-config,
-Standards-Version: 4.5.1
+ scdoc,
+Standards-Version: 4.6.1
 Homepage: https://gitlab.com/jallbrit/cbonsai
 Vcs-Browser: https://salsa.debian.org/rgson/cbonsai
 Vcs-Git: https://salsa.debian.org/rgson/cbonsai.git -b debian/latest

## cbonsai 1.4.2

=== Makefile ===
.POSIX:
CC	= cc
PKG_CONFIG	?= pkg-config
CFLAGS	+= -Wall -Wextra -Wshadow -Wpointer-arith -Wcast-qual -pedantic $(shell $(PKG_CONFIG) --cflags ncursesw panelw)
LDLIBS	= $(shell $(PKG_CONFIG) --libs ncursesw panelw || echo "-lncursesw -ltinfo -lpanelw")
PREFIX	= /usr/local
DATADIR	= $(PREFIX)/share
MANDIR	= $(DATADIR)/man
WITH_BASH	= 1

cbonsai: cbonsai.c

cbonsai.6: cbonsai.scd
ifeq ($(shell command -v scdoc 2>/dev/null),)
	$(warning Missing dependency: scdoc. The man page will not be generated.)
else
	scdoc <$< >$@
endif

install: cbonsai cbonsai.6
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(MANDIR)/man6
	install -m 0755 cbonsai $(DESTDIR)$(PREFIX)/bin/cbonsai
	[ ! -f cbonsai.6 ] || install -m 0644 cbonsai.6 $(DESTDIR)$(MANDIR)/man6/cbonsai.6
ifeq ($(WITH_BASH),1)
	mkdir -p $(DESTDIR)$(DATADIR)/bash-completion/completions
	install -m 0644 completions/bash/cbonsai.bash $(DESTDIR)$(DATADIR)/bash-completion/completions/cbonsai
endif

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/cbonsai
	rm -f $(DESTDIR)$(MANDIR)/man6/cbonsai.6
	rm -f $(DESTDIR)$(DATADIR)/bash-completion/completions/cbonsai

clean:
	rm -f cbonsai
	rm -f cbonsai.6

.PHONY: install uninstall clean

=== debian/changelog ===
cbonsai (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2
  * d/patches: Drop, patch was applied upstream
  * d/control: Update my mail address
  * d/control: Bump S-V to 4.7.2, no changes needed
  * d/control: s/pkg-config/pkgconf
  * d/gbp.conf: Expand import-orig section for initial commit
  * Install bash completion file

 -- Matthias Geiger <werdahias@debian.org>  Sun, 17 Aug 2025 17:54:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Robin Gustafsson <robin@rgson.se>
 Uploaders:
- Matthias Geiger <matthias.geiger1024@tutanota.de>,
+ Matthias Geiger <werdahias@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libncurses-dev,
- pkg-config,
+ pkgconf,
  scdoc,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/jallbrit/cbonsai
 Vcs-Browser: https://salsa.debian.org/rgson/cbonsai
 Vcs-Git: https://salsa.debian.org/rgson/cbonsai.git -b debian/latest

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)" cbonsai cbonsai.6

override_dh_auto_install:
